oracle.adf.view.rich.component.rich.data

## Class PartialRichTreeTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXCollection
        - - org.apache.myfaces.trinidad.component.UIXHierarchy
          - - org.apache.myfaces.trinidad.component.UIXTree
            - - org.apache.myfaces.trinidad.component.UIXTreeTable
              - - oracle.adf.view.rich.component.rich.data.PartialRichTreeTable

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.apache.myfaces.trinidad.component.CollectionComponent, org.apache.myfaces.trinidad.model.LocalRowKeyIndex, org.apache.myfaces.trinidad.model.RowKeyIndex, org.apache.myfaces.trinidad.model.TreeLocalRowKeyIndex
  Direct Known Subclasses:
    RichTreeTable

      public abstract class PartialRichTreeTable
      extends org.apache.myfaces.trinidad.component.UIXTreeTable
      implements javax.faces.component.NamingContainer, javax.faces.component.behavior.ClientBehaviorHolder

  The TreeTable is used to display data that is structured in a hierarchical format. This component displays a hierarchy in a UI similar to a Table, and is more elaborate than the Tree component. TreeTable supports displaying columns of data per tree node in the hierarchy. The features of the TreeTable include mechanisms for focusing in on subtrees (within the main tree), as well as expanding and collapsing elements in the hierarchy.

  Because of this stamping behavior, some components may not work inside the treeTable. Most components will work without problems, for example any input and output components. If you need to use multiple components inside a cell, you can wrap them inside a panelGroupLayout component. Components that themselves support stamping are not supported, such as treeTables within a treeTable or region within a treeTable.

  ## Tree Model

  The TreeTable component uses a model to access the underlying hierarchical data. The specific model class is `org.apache.myfaces.trinidad.model.TreeModel`. There is a utility class available that wraps a Java List of beans or maps in an implementation of the `org.apache.myfaces.trinidad.model.TreeModel` (See `org.apache.myfaces.trinidad.model.ChildPropertyTreeModel`).

  ## Columns

  Like the Table, the TreeTable's children must be Column components (see Table Columns). Like the Tree, the TreeTable has a "nodeStamp" facet which renders the "Object Name" Column. The "Object Name" Column contains the primary identifier of an element in the hierarchy. For example, in an organization chart of employees, the "Object Name" Column might be the employee name.

  ## Headers

  See Table Headers.

  ## Selection

  See Table Selection.

  ## Grid Lines and Banding

  See Table Grid Lines and Banding.

  ## Column Groups

  See Table Column Groups.

  ## Sorting

  See Table Sorting. Unlike the Table, the TreeTable does not support automatic sorting. The underlying TreeModel must support sorting by implementing its sorting logic in the `setSortCriteria(List criteria)` method of the TreeModel.

  ## Fetch Size

  See Table Fetch Size.

  ## CSS Style Restriction

  See Table CSS Style Restrictions.

  ## Hierarchical Selector

  See Tree Hierachical Selector.

  ## Emailable and Printable Modes

  See Table Emailable and Printable Modes.

  ## Geometry Management

  - This component can be stretched by a parent layout component that stretches its children, e.g. panelStretchLayout, panelSplitter.
  - When stretching this component, the only valid setting for autoHeightRows is "-1" (a value of 0 will be treated as -1 when stretched).
  - When NOT stretched, autoHeightRows="0" can be used to size the height to the fetch size, which is similar to dimensionsFrom="children". Please refer to 'autoHeightRows' attribute for more information.
  - Use the columnStretching attribute to configure stretching of the children column components.

  If the oracle.adf.view.rich.geometry.DEFAULT_DIMENSIONS context-param is set to "auto" in the project's web.xml, and the autoHeightRows value is set to 0, or is not set, the AFStretchWidth style class will be rendered for this component.

  ### Events:

  Type | Phases | Description
  --- | --- | ---
  `oracle.adf.view.rich.event.ColumnSelectionEvent` | Invoke Application | The ColumnSelectionEvent is delivered when a column selection change occurs in Table or TreeTable.
  `org.apache.myfaces.trinidad.event.RowDisclosureEvent` | Apply Request Values Invoke Application | The expansion event is generated for a table when the detail facet of a row is expanded or collapsed. For tree or a treeTable, the expansion event is generated when tree nodes are expanded or collapsed.
  `org.apache.myfaces.trinidad.event.SelectionEvent` | Apply Request Values Invoke Application | The selection event is delivered when the table selection changes.
  `org.apache.myfaces.trinidad.event.FocusEvent` | Apply Request Values Invoke Application | Event delivered when user clicks to focus on (or zoom into) a particular element's subtree of children. The TreeTable responds to this event by modifying the "focusPath" property appropriately. Subsequently, any registered FocusListener instances are called.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `org.apache.myfaces.trinidad.component.UIXCollection.ColumnFacetsOnlyVisitContext, org.apache.myfaces.trinidad.component.UIXCollection.NoColumnFacetsVisitContext`

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

    - ### Nested classes/interfaces inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `org.apache.myfaces.trinidad.model.LocalRowKeyIndex.Confidence, org.apache.myfaces.trinidad.model.LocalRowKeyIndex.LocalCachingStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ACTIVE_ROW_KEY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `AUTO_HEIGHT_ROWS_KEY`
    `static String` | `BLOCK_ROW_NAVIGATION_ON_ERROR_ALWAYS`
    `static String` | `BLOCK_ROW_NAVIGATION_ON_ERROR_AUTO`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `BLOCK_ROW_NAVIGATION_ON_ERROR_KEY`
    `static String` | `BLOCK_ROW_NAVIGATION_ON_ERROR_NEVER`
    `static String` | `BODY_CONTEXT_MENU_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `BODY_CONTEXT_MENU_ID_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLEAR_TOKEN_CACHE_ON_PPR_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_ATTRIBUTES_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_COMPONENT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CLIENT_LISTENERS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMN_BANDING_INTERVAL_KEY`
    `static String` | `COLUMN_RESIZING_DISABLED`
    `static String` | `COLUMN_RESIZING_ENABLED`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMN_RESIZING_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMN_SELECTION_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMN_SELECTION_LISTENER_KEY`
    `static String` | `COLUMN_SELECTION_MULTIPLE`
    `static String` | `COLUMN_SELECTION_NONE`
    `static String` | `COLUMN_SELECTION_SINGLE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `COLUMN_STRETCHING_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `CONTENT_DELIVERY_IMMEDIATE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CONTENT_DELIVERY_KEY`
    `static String` | `CONTENT_DELIVERY_LAZY`
    `static String` | `CONTENT_DELIVERY_WHEN_AVAILABLE`
    `static String` | `CONTEXT_MENU_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CONTEXT_MENU_ID_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CONTEXT_MENU_SELECT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `CUSTOMIZATION_ID_KEY` Deprecated.
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISABLE_COLUMN_REORDERING_KEY`
    `static String` | `DISPLAY_ROW_FIRST`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISPLAY_ROW_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `DISPLAY_ROW_KEY_KEY`
    `static String` | `DISPLAY_ROW_LAST`
    `static String` | `DISPLAY_ROW_SELECTED`
    `static String` | `EDITING_MODE_CLICK_TO_EDIT`
    `static String` | `EDITING_MODE_EDIT_ALL`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `EDITING_MODE_KEY`
    `static String` | `EDITING_MODE_READ_ONLY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `EMPTY_TEXT_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `EXPAND_ALL_ENABLED_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `FETCH_SIZE_KEY`
    `static String` | `FOOTER_FACET`
    `static String` | `FREEZE_DIRECTION_END`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `FREEZE_DIRECTION_KEY`
    `static String` | `FREEZE_DIRECTION_START`
    `static String` | `HEADER_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `HORIZONTAL_GRID_VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `INLINE_STYLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `MAX_CLIENT_ROWS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `NON_SCROLLABLE_ROWS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static String` | `PATH_STAMP_FACET`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ROW_BANDING_INTERVAL_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `ROW_SELECTION_KEY`
    `static String` | `ROW_SELECTION_MULTIPLE`
    `static String` | `ROW_SELECTION_MULTIPLE_NO_SELECT_ALL`
    `static String` | `ROW_SELECTION_NONE`
    `static String` | `ROW_SELECTION_SINGLE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SCROLL_LEFT_KEY`
    `static String` | `SCROLL_POLICY_AUTO`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SCROLL_POLICY_KEY`
    `static String` | `SCROLL_POLICY_PAGE`
    `static String` | `SCROLL_POLICY_SCROLL`
    `static String` | `SCROLL_POLICY_SCROLL_PREFETCH`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SCROLL_TOP_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SCROLL_TOP_ROW_KEY_KEY`
    `static String` | `SELECTION_EVENT_DELAY_DISABLED`
    `static String` | `SELECTION_EVENT_DELAY_ENABLED`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SELECTION_EVENT_DELAY_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SHORT_DESC_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SKIP_PROCESS_ON_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `STYLE_CLASS_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `SUMMARY_KEY`
    `static org.apache.myfaces.trinidad.bean.FacesBean.Type` | `TYPE`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `UNSECURE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VERTICAL_GRID_VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `VISIBLE_KEY`
    `static org.apache.myfaces.trinidad.bean.PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXTreeTable

      `HEIGHT_KEY, RANGE_CHANGE_LISTENER_KEY, ROOT_NODE_RENDERED_KEY, ROWS_BY_DEPTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXTree

      `DISCLOSED_ROW_KEYS_KEY, FOCUS_LISTENER_KEY, FOCUS_ROW_KEY_KEY, IMMEDIATE_KEY, INITIALLY_EXPANDED_KEY, NODE_STAMP_FACET, ROW_DISCLOSURE_LISTENER_KEY, SELECTED_ROW_KEYS_KEY, SELECTION_LISTENER_KEY, VALUE_KEY, VAR_STATUS_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `VAR_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PartialRichTreeTable(String rendererType)` Construct an instance of the PartialRichTreeTable with the specified renderer type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `void` | `addColumnSelectionListener(ColumnSelectionListener listener)` Adds a columnSelection listener.
    `Object` | `getActiveRowKey()` Gets this is the row that is currently active on the client.
    `int` | `getAutoHeightRows()` Gets
    `protected org.apache.myfaces.trinidad.bean.FacesBean.Type` | `getBeanType()`
    `String` | `getBlockRowNavigationOnError()` Gets
    `javax.faces.component.UIComponent` | `getBodyContextMenu()` popup component containing the context menu that will be shown on right click within the table body, but outside of any table row.
    `String` | `getBodyContextMenuId()` Deprecated. This attribute is deprecated, "bodyContextMenu" facet should be used instead.
    `Set` | `getClientAttributes()` Gets a set of client attribute names.
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()`
    `ClientListenerSet` | `getClientListeners()` Gets a set of client listeners.
    `int` | `getColumnBandingInterval()` Gets the interval between which the column banding occurs.
    `String` | `getColumnResizing()` Gets Setting this value to "disabled" will turn off user column resizing.
    `String` | `getColumnSelection()` Gets whether columns in this table are selectable.
    `javax.el.MethodExpression` | `getColumnSelectionListener()` Gets a method reference to a ColumnSelectionListener
    `ColumnSelectionListener[]` | `getColumnSelectionListeners()` Returns an array of attached columnSelection listeners.
    `String` | `getColumnStretching()` Gets Indicates what kind of stretching you want applied to the columns.
    `String` | `getContentDelivery()` Gets whether data should be fetched when the component is rendered initially.
    `javax.faces.component.UIComponent` | `getContextMenu()` popup component containing the context menu that will be shown on right click of any table row.
    `String` | `getContextMenuId()` Deprecated. This attribute is deprecated, "contextMenu" facet should be used instead.
    `String` | `getCustomizationId()` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `String` | `getDefaultEventName()`
    `String` | `getDisplayRow()` Gets the row to display in the table during initial display.
    `Object` | `getDisplayRowKey()` Gets the rowkey to display in the table during initial display.
    `String` | `getEditingMode()` Gets Indicates the mode used to edit the table when it contains editable components.
    `String` | `getEmptyText()` Gets the text of an empty table.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `int` | `getFetchSize()` Gets the number of rows in the data fetch block
    `javax.faces.component.UIComponent` | `getFooter()` the component used to render the table footer.
    `String` | `getFreezeDirection()` Gets How column freezing is handled, whether the freezing zone is from the specified column to the start or the end of the table row.
    `javax.faces.component.UIComponent` | `getHeader()` the component used to render the table header.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `int` | `getMaxClientRows()` Gets specifies the maximum number of rows to retain on the client when scrollPolicy="loadMore"
    `int` | `getNonScrollableRows()` Gets The nonScrollableRows property determines the number of rows to show in email mode, print mode, or other circumstances where table scrolling is unavailable.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `javax.faces.component.UIComponent` | `getPathStamp()` the component used to stamp each step of the focus path when the Hierachical Selector popup is displayed.
    `int` | `getRowBandingInterval()` Gets the interval between which the row banding occurs.
    `String` | `getRowSelection()` Gets whether rows in this table are selectable.
    `int` | `getScrollLeft()` Gets private property to indicate current horizontal scroll position.
    `String` | `getScrollPolicy()` Gets specifies the mechanism used by to scroll the data inside the table.
    `int` | `getScrollTop()` Gets private property to indicate current vertical scroll position.
    `Object` | `getScrollTopRowKey()` Gets private property to indicate row key for the first visible row.
    `String` | `getSelectionEventDelay()` Gets whether or not it is enabled to delay row selection event for 300ms when a user navigates rows with arrow up/down key.
    `String` | `getShortDesc()` Gets the short description of the component.
    `String[]` | `getSkipProcessOn()`
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getSummary()` Gets the summary of this table's purpose and structure for user agents rendering to non-visual media.
    `Set<String>` | `getUnsecure()` Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `String` | `getWidth()` Gets the width of this component.
    `boolean` | `isClearTokenCacheOnPPR()` Gets private property to turn on/off the clearing of the row key token cache when the component is PPRed.
    `boolean` | `isClientComponent()` Gets whether a client-side component will be generated.
    `boolean` | `isContextMenuSelect()` Gets Indicates if we should actually select the row clicked when right clicking to show a context menu.
    `boolean` | `isDisableColumnReordering()` Gets whether column reordering is disabled in the table.
    `boolean` | `isExpandAllEnabled()` Gets Indicates whether the "Expand/Collapse All", and "Expand/Collapse All Below" menu items are rendered.
    `boolean` | `isHorizontalGridVisible()` Gets whether the Horizontal GridLines are to be drawn.
    `boolean` | `isVerticalGridVisible()` Gets whether the vertical GridLines are to be drawn.
    `boolean` | `isVisible()` Gets the visibility of the component.
    `void` | `removeColumnSelectionListener(ColumnSelectionListener listener)` Removes a columnSelection listener.
    `void` | `setActiveRowKey(Object activeRowKey)` Sets this is the row that is currently active on the client.
    `void` | `setAutoHeightRows(int autoHeightRows)` Sets
    `void` | `setBlockRowNavigationOnError(String blockRowNavigationOnError)` Sets
    `void` | `setBodyContextMenu(javax.faces.component.UIComponent bodyContextMenuFacet)` popup component containing the context menu that will be shown on right click within the table body, but outside of any table row.
    `void` | `setBodyContextMenuId(String bodyContextMenuId)` Deprecated. This attribute is deprecated, "bodyContextMenu" facet should be used instead.
    `void` | `setClearTokenCacheOnPPR(boolean clearTokenCacheOnPPR)` Sets private property to turn on/off the clearing of the row key token cache when the component is PPRed.
    `void` | `setClientAttributes(Set clientAttributes)` Sets a set of client attribute names.
    `void` | `setClientComponent(boolean clientComponent)` Sets whether a client-side component will be generated.
    `void` | `setClientListeners(ClientListenerSet clientListeners)` Sets a set of client listeners.
    `void` | `setColumnBandingInterval(int columnBandingInterval)` Sets the interval between which the column banding occurs.
    `void` | `setColumnResizing(String columnResizing)` Sets Setting this value to "disabled" will turn off user column resizing.
    `void` | `setColumnSelection(String columnSelection)` Sets whether columns in this table are selectable.
    `void` | `setColumnSelectionListener(javax.el.MethodExpression columnSelectionListener)` Sets a method reference to a ColumnSelectionListener
    `void` | `setColumnStretching(String columnStretching)` Sets Indicates what kind of stretching you want applied to the columns.
    `void` | `setContentDelivery(String contentDelivery)` Sets whether data should be fetched when the component is rendered initially.
    `void` | `setContextMenu(javax.faces.component.UIComponent contextMenuFacet)` popup component containing the context menu that will be shown on right click of any table row.
    `void` | `setContextMenuId(String contextMenuId)` Deprecated. This attribute is deprecated, "contextMenu" facet should be used instead.
    `void` | `setContextMenuSelect(boolean contextMenuSelect)` Sets Indicates if we should actually select the row clicked when right clicking to show a context menu.
    `void` | `setCustomizationId(String customizationId)` Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
    `void` | `setDisableColumnReordering(boolean disableColumnReordering)` Sets whether column reordering is disabled in the table.
    `void` | `setDisplayRow(String displayRow)` Sets the row to display in the table during initial display.
    `void` | `setDisplayRowKey(Object displayRowKey)` Sets the rowkey to display in the table during initial display.
    `void` | `setEditingMode(String editingMode)` Sets Indicates the mode used to edit the table when it contains editable components.
    `void` | `setEmptyText(String emptyText)` Sets the text of an empty table.
    `void` | `setExpandAllEnabled(boolean expandAllEnabled)` Sets Indicates whether the "Expand/Collapse All", and "Expand/Collapse All Below" menu items are rendered.
    `void` | `setFetchSize(int fetchSize)` Sets the number of rows in the data fetch block
    `void` | `setFooter(javax.faces.component.UIComponent footerFacet)` the component used to render the table footer.
    `void` | `setFreezeDirection(String freezeDirection)` Sets How column freezing is handled, whether the freezing zone is from the specified column to the start or the end of the table row.
    `void` | `setHeader(javax.faces.component.UIComponent headerFacet)` the component used to render the table header.
    `void` | `setHorizontalGridVisible(boolean horizontalGridVisible)` Sets whether the Horizontal GridLines are to be drawn.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setMaxClientRows(int maxClientRows)` Sets specifies the maximum number of rows to retain on the client when scrollPolicy="loadMore"
    `void` | `setNonScrollableRows(int nonScrollableRows)` Sets The nonScrollableRows property determines the number of rows to show in email mode, print mode, or other circumstances where table scrolling is unavailable.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPathStamp(javax.faces.component.UIComponent pathStampFacet)` the component used to stamp each step of the focus path when the Hierachical Selector popup is displayed.
    `void` | `setRowBandingInterval(int rowBandingInterval)` Sets the interval between which the row banding occurs.
    `void` | `setRowSelection(String rowSelection)` Sets whether rows in this table are selectable.
    `void` | `setScrollLeft(int scrollLeft)` Sets private property to indicate current horizontal scroll position.
    `void` | `setScrollPolicy(String scrollPolicy)` Sets specifies the mechanism used by to scroll the data inside the table.
    `void` | `setScrollTop(int scrollTop)` Sets private property to indicate current vertical scroll position.
    `void` | `setScrollTopRowKey(Object scrollTopRowKey)` Sets private property to indicate row key for the first visible row.
    `void` | `setSelectionEventDelay(String selectionEventDelay)` Sets whether or not it is enabled to delay row selection event for 300ms when a user navigates rows with arrow up/down key.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the component.
    `void` | `setSkipProcessOn(String[] skipProcessOn)`
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setSummary(String summary)` Sets the summary of this table's purpose and structure for user agents rendering to non-visual media.
    `void` | `setUnsecure(Set<String> unsecure)` Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client.
    `void` | `setVerticalGridVisible(boolean verticalGridVisible)` Sets whether the vertical GridLines are to be drawn.
    `void` | `setVisible(boolean visible)` Sets the visibility of the component.
    `void` | `setWidth(String width)` Sets the width of this component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXTreeTable

      `__encodeBegin, addRangeChangeListener, broadcast, decode, getContainerClientId, getFirst, getHeight, getRangeChangeListener, getRangeChangeListeners, getRows, getRowsByDepth, getStamps, isRootNodeRendered, isSingleRooted, processFacetsAndChildren, processUpdates, processValidators, removeRangeChangeListener, restoreStampState, restoreState, saveStampState, saveState, setFirst, setHeight, setRangeChangeListener, setRangeChangeListener, setRootNodeRendered, setRowsByDepth, setupVisitingContext, tearDownVisitingContext, visitChildren, visitData, visitUnstampedFacets`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXTree

      `addFocusListener, addRowDisclosureListener, addSelectionListener, createCollectionModel, createFacesBean, getDisclosedRowKeys, getFocusListener, getFocusListeners, getFocusRowKey, getNodeStamp, getRowDisclosureListener, getRowDisclosureListeners, getSelectedRowKeys, getSelectionListener, getSelectionListeners, getValue, getVarStatus, isImmediate, isInitiallyExpanded, postCreateCollectionModel, queueEvent, removeFocusListener, removeRowDisclosureListener, removeSelectionListener, setDisclosedRowKeys, setFocusListener, setFocusRowKey, setImmediate, setInitiallyExpanded, setNodeStamp, setRowDisclosureListener, setRowDisclosureListener, setSelectedRowKeys, setSelectionListener, setSelectionListener, setValue, setVarStatus`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXHierarchy

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, createVarStatusMap, enterContainer, exitContainer, getAllAncestorContainerRowKeys, getContainerRowKey, getContainerRowKey, getDepth, getDepth, getTreeModel, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isContainer, isContainerEmpty, visitHierarchy, visitLevel`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearCurrencyStringCache, clearLocalCache, decodeChildrenImpl, defaultVisitChildren, encodeBegin, encodeEnd, ensureRowsAvailable, getCachingStrategy, getClientRowKey, getClientRowKeyManager, getCollectionModel, getCollectionModel, getContainerClientId, getCurrencyString, getEstimatedRowCount, getEstimatedRowCountConfidence, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, getSortCriteria, getVar, invokeOnComponent, isRowAvailable, isRowAvailable, isRowAvailable, isRowLocallyAvailable, isRowLocallyAvailable, isSortable, newNoColumnFacetsVisitContext, postRowDataChange, preRowDataChange, processComponent, processDecodes, processEvent, processFlattenedChildrenBegin, processRestoreState, processSaveState, resetStampState, setClientRowKey, setCurrencyString, setRowIndex, setRowKey, setSortCriteria, setupELVariable, setVar, updateChildrenImpl, validateChildrenImpl, visitChildrenWithoutIterating, visitStampedColumnFacets`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, decodeChildren, encodeChildren, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, satisfiesPartialTrigger, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, validateChildren`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, visitAllChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.component.CollectionComponent

      `getVar`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.RowKeyIndex

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, isRowAvailable, isRowAvailable, isRowAvailable, setRowIndex, setRowKey`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearLocalCache, getCachingStrategy, getEstimatedRowCount, getEstimatedRowCountConfidence, isRowLocallyAvailable, isRowLocallyAvailable`

- - ### Field Detail

    - #### COLUMN_SELECTION_NONE

          public static final String COLUMN_SELECTION_NONE

      See Also:
        Constant Field Values

    - #### COLUMN_SELECTION_SINGLE

          public static final String COLUMN_SELECTION_SINGLE

      See Also:
        Constant Field Values

    - #### COLUMN_SELECTION_MULTIPLE

          public static final String COLUMN_SELECTION_MULTIPLE

      See Also:
        Constant Field Values

    - #### SELECTION_EVENT_DELAY_DISABLED

          public static final String SELECTION_EVENT_DELAY_DISABLED

      See Also:
        Constant Field Values

    - #### SELECTION_EVENT_DELAY_ENABLED

          public static final String SELECTION_EVENT_DELAY_ENABLED

      See Also:
        Constant Field Values

    - #### FREEZE_DIRECTION_START

          public static final String FREEZE_DIRECTION_START

      See Also:
        Constant Field Values

    - #### FREEZE_DIRECTION_END

          public static final String FREEZE_DIRECTION_END

      See Also:
        Constant Field Values

    - #### COLUMN_RESIZING_ENABLED

          public static final String COLUMN_RESIZING_ENABLED

      See Also:
        Constant Field Values

    - #### COLUMN_RESIZING_DISABLED

          public static final String COLUMN_RESIZING_DISABLED

      See Also:
        Constant Field Values

    - #### DISPLAY_ROW_FIRST

          public static final String DISPLAY_ROW_FIRST

      See Also:
        Constant Field Values

    - #### DISPLAY_ROW_LAST

          public static final String DISPLAY_ROW_LAST

      See Also:
        Constant Field Values

    - #### DISPLAY_ROW_SELECTED

          public static final String DISPLAY_ROW_SELECTED

      See Also:
        Constant Field Values

    - #### CONTENT_DELIVERY_IMMEDIATE

          public static final String CONTENT_DELIVERY_IMMEDIATE

      See Also:
        Constant Field Values

    - #### CONTENT_DELIVERY_LAZY

          public static final String CONTENT_DELIVERY_LAZY

      See Also:
        Constant Field Values

    - #### CONTENT_DELIVERY_WHEN_AVAILABLE

          public static final String CONTENT_DELIVERY_WHEN_AVAILABLE

      See Also:
        Constant Field Values

    - #### ROW_SELECTION_NONE

          public static final String ROW_SELECTION_NONE

      See Also:
        Constant Field Values

    - #### ROW_SELECTION_SINGLE

          public static final String ROW_SELECTION_SINGLE

      See Also:
        Constant Field Values

    - #### ROW_SELECTION_MULTIPLE

          public static final String ROW_SELECTION_MULTIPLE

      See Also:
        Constant Field Values

    - #### ROW_SELECTION_MULTIPLE_NO_SELECT_ALL

          public static final String ROW_SELECTION_MULTIPLE_NO_SELECT_ALL

      See Also:
        Constant Field Values

    - #### EDITING_MODE_EDIT_ALL

          public static final String EDITING_MODE_EDIT_ALL

      See Also:
        Constant Field Values

    - #### EDITING_MODE_CLICK_TO_EDIT

          public static final String EDITING_MODE_CLICK_TO_EDIT

      See Also:
        Constant Field Values

    - #### EDITING_MODE_READ_ONLY

          public static final String EDITING_MODE_READ_ONLY

      See Also:
        Constant Field Values

    - #### SCROLL_POLICY_PAGE

          public static final String SCROLL_POLICY_PAGE

      See Also:
        Constant Field Values

    - #### SCROLL_POLICY_SCROLL

          public static final String SCROLL_POLICY_SCROLL

      See Also:
        Constant Field Values

    - #### SCROLL_POLICY_SCROLL_PREFETCH

          public static final String SCROLL_POLICY_SCROLL_PREFETCH

      See Also:
        Constant Field Values

    - #### SCROLL_POLICY_AUTO

          public static final String SCROLL_POLICY_AUTO

      See Also:
        Constant Field Values

    - #### BLOCK_ROW_NAVIGATION_ON_ERROR_ALWAYS

          public static final String BLOCK_ROW_NAVIGATION_ON_ERROR_ALWAYS

      See Also:
        Constant Field Values

    - #### BLOCK_ROW_NAVIGATION_ON_ERROR_NEVER

          public static final String BLOCK_ROW_NAVIGATION_ON_ERROR_NEVER

      See Also:
        Constant Field Values

    - #### BLOCK_ROW_NAVIGATION_ON_ERROR_AUTO

          public static final String BLOCK_ROW_NAVIGATION_ON_ERROR_AUTO

      See Also:
        Constant Field Values

    - #### TYPE

          public static final org.apache.myfaces.trinidad.bean.FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SHORT_DESC_KEY

    - #### UNSECURE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey UNSECURE_KEY

    - #### VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VISIBLE_KEY

    - #### CUSTOMIZATION_ID_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey CUSTOMIZATION_ID_KEY

      Deprecated.

    - #### CLIENT_COMPONENT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_COMPONENT_KEY

    - #### CLIENT_ATTRIBUTES_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_ATTRIBUTES_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey PARTIAL_TRIGGERS_KEY

    - #### CLIENT_LISTENERS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLIENT_LISTENERS_KEY

    - #### COLUMN_SELECTION_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMN_SELECTION_KEY

    - #### HORIZONTAL_GRID_VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey HORIZONTAL_GRID_VISIBLE_KEY

    - #### VERTICAL_GRID_VISIBLE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey VERTICAL_GRID_VISIBLE_KEY

    - #### EMPTY_TEXT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey EMPTY_TEXT_KEY

    - #### COLUMN_BANDING_INTERVAL_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMN_BANDING_INTERVAL_KEY

    - #### ROW_BANDING_INTERVAL_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ROW_BANDING_INTERVAL_KEY

    - #### SUMMARY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SUMMARY_KEY

    - #### CLEAR_TOKEN_CACHE_ON_PPR_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CLEAR_TOKEN_CACHE_ON_PPR_KEY

    - #### SELECTION_EVENT_DELAY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SELECTION_EVENT_DELAY_KEY

    - #### FREEZE_DIRECTION_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey FREEZE_DIRECTION_KEY

    - #### BODY_CONTEXT_MENU_ID_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey BODY_CONTEXT_MENU_ID_KEY

      Deprecated.

    - #### COLUMN_STRETCHING_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMN_STRETCHING_KEY

    - #### COLUMN_RESIZING_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMN_RESIZING_KEY

    - #### CONTEXT_MENU_ID_KEY

          @Deprecated
          public static final org.apache.myfaces.trinidad.bean.PropertyKey CONTEXT_MENU_ID_KEY

      Deprecated.

    - #### DISPLAY_ROW_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISPLAY_ROW_KEY

    - #### DISPLAY_ROW_KEY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISPLAY_ROW_KEY_KEY

    - #### DISABLE_COLUMN_REORDERING_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey DISABLE_COLUMN_REORDERING_KEY

    - #### WIDTH_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey WIDTH_KEY

    - #### SCROLL_TOP_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SCROLL_TOP_KEY

    - #### SCROLL_LEFT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SCROLL_LEFT_KEY

    - #### SCROLL_TOP_ROW_KEY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SCROLL_TOP_ROW_KEY_KEY

    - #### CONTENT_DELIVERY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CONTENT_DELIVERY_KEY

    - #### FETCH_SIZE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey FETCH_SIZE_KEY

    - #### ACTIVE_ROW_KEY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ACTIVE_ROW_KEY_KEY

    - #### ROW_SELECTION_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey ROW_SELECTION_KEY

    - #### CONTEXT_MENU_SELECT_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey CONTEXT_MENU_SELECT_KEY

    - #### EDITING_MODE_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey EDITING_MODE_KEY

    - #### AUTO_HEIGHT_ROWS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey AUTO_HEIGHT_ROWS_KEY

    - #### SCROLL_POLICY_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SCROLL_POLICY_KEY

    - #### BLOCK_ROW_NAVIGATION_ON_ERROR_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey BLOCK_ROW_NAVIGATION_ON_ERROR_KEY

    - #### MAX_CLIENT_ROWS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey MAX_CLIENT_ROWS_KEY

    - #### EXPAND_ALL_ENABLED_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey EXPAND_ALL_ENABLED_KEY

    - #### NON_SCROLLABLE_ROWS_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey NON_SCROLLABLE_ROWS_KEY

    - #### COLUMN_SELECTION_LISTENER_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey COLUMN_SELECTION_LISTENER_KEY

    - #### SKIP_PROCESS_ON_KEY

          public static final org.apache.myfaces.trinidad.bean.PropertyKey SKIP_PROCESS_ON_KEY

    - #### FOOTER_FACET

          public static final String FOOTER_FACET

      See Also:
        Constant Field Values

    - #### HEADER_FACET

          public static final String HEADER_FACET

      See Also:
        Constant Field Values

    - #### CONTEXT_MENU_FACET

          public static final String CONTEXT_MENU_FACET

      See Also:
        Constant Field Values

    - #### BODY_CONTEXT_MENU_FACET

          public static final String BODY_CONTEXT_MENU_FACET

      See Also:
        Constant Field Values

    - #### PATH_STAMP_FACET

          public static final String PATH_STAMP_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PartialRichTreeTable

          protected PartialRichTreeTable(String rendererType)

      Construct an instance of the PartialRichTreeTable with the specified renderer type.
      Parameters:
        `rendererType` - the renderer type Construct an instance of the PartialRichTreeTable.

  - ### Method Detail

    - #### getFooter

          public final javax.faces.component.UIComponent getFooter()

      the component used to render the table footer. This facet existed in 10.1.3, but is currently not supported in RichTable and RichTreeTable
      Returns:
        the footer facet

    - #### setFooter

          public final void setFooter(javax.faces.component.UIComponent footerFacet)

      the component used to render the table footer. This facet existed in 10.1.3, but is currently not supported in RichTable and RichTreeTable
      Parameters:
        `footerFacet` - the new footer facet

    - #### getHeader

          public final javax.faces.component.UIComponent getHeader()

      the component used to render the table header. This facet existed in 10.1.3, but is currently not supported in RichTable and RichTreeTable
      Returns:
        the header facet

    - #### setHeader

          public final void setHeader(javax.faces.component.UIComponent headerFacet)

      the component used to render the table header. This facet existed in 10.1.3, but is currently not supported in RichTable and RichTreeTable
      Parameters:
        `headerFacet` - the new header facet

    - #### getContextMenu

          public final javax.faces.component.UIComponent getContextMenu()

      popup component containing the context menu that will be shown on right click of any table row. The af:popup must contain an af:menu to display the context menu. Note that the contextMenu facet does not currently support a popup with the childCreation attribute set to deferred.
      Returns:
        the contextMenu facet

    - #### setContextMenu

          public final void setContextMenu(javax.faces.component.UIComponent contextMenuFacet)

      popup component containing the context menu that will be shown on right click of any table row. The af:popup must contain an af:menu to display the context menu. Note that the contextMenu facet does not currently support a popup with the childCreation attribute set to deferred.
      Parameters:
        `contextMenuFacet` - the new contextMenu facet

    - #### getBodyContextMenu

          public final javax.faces.component.UIComponent getBodyContextMenu()

      popup component containing the context menu that will be shown on right click within the table body, but outside of any table row. The af:popup must contain an af:menu to display the context menu. Note that the bodyContextMenu facet does not currently support a popup with the childCreation attribute set to deferred.
      Returns:
        the bodyContextMenu facet

    - #### setBodyContextMenu

          public final void setBodyContextMenu(javax.faces.component.UIComponent bodyContextMenuFacet)

      popup component containing the context menu that will be shown on right click within the table body, but outside of any table row. The af:popup must contain an af:menu to display the context menu. Note that the bodyContextMenu facet does not currently support a popup with the childCreation attribute set to deferred.
      Parameters:
        `bodyContextMenuFacet` - the new bodyContextMenu facet

    - #### getPathStamp

          public final javax.faces.component.UIComponent getPathStamp()

      the component used to stamp each step of the focus path when the Hierachical Selector popup is displayed. This component can be a a combination of simple outputText, image, or outputFormatted tags and must not be an "input" component (EditableValueHolder) since no user input is allowed in the Hierarchical Selector popup. If this facet is not provided, then the Hierarchical Selector icon is not rendered.
      Overrides:
        `getPathStamp` in class `org.apache.myfaces.trinidad.component.UIXTreeTable`
      Returns:
        the pathStamp facet

    - #### setPathStamp

          public final void setPathStamp(javax.faces.component.UIComponent pathStampFacet)

      the component used to stamp each step of the focus path when the Hierachical Selector popup is displayed. This component can be a a combination of simple outputText, image, or outputFormatted tags and must not be an "input" component (EditableValueHolder) since no user input is allowed in the Hierarchical Selector popup. If this facet is not provided, then the Hierarchical Selector icon is not rendered.
      Parameters:
        `pathStampFacet` - the new pathStamp facet

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component. This is intended for basic style changes. The inlineStyle is a set of CSS styles that are applied to the root DOM element of the component. Be aware that because of browser CSS precedence rules, CSS rendered on a DOM element takes precedence over external stylesheets like the skin file. Therefore skins will not be able to override what you set on this attribute. If the inlineStyle's CSS properties do not affect the DOM element you want affected, then you will have to create a skin and use the skinning keys which are meant to target particular DOM elements, like ::label or ::icon-style.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component. The style class can be defined in your jspx page or in a skinning CSS file, for example, or you can use one of our public style classes, like 'AFInstructionText'.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the component. The shortDesc text may be used in two different ways, depending on the component.

      For components with images, the shortDesc is often used to render an HTML alt attribute for the image. Please see the accessibility guidelines section for correct alt text usage of the shortDesc attribute.

      shortDesc is also commonly used to render an HTML title attribute, which is used by user agents to display tooltip help text. In this case the behavior for the tooltip is controlled by the user agent, e.g. Firefox 2 truncates long tooltips. For form components, the shortDesc is displayed in a note window. For components that support the helpTopicId attribute and are not using the shortDesc as image alt text, it is recommended that helpTopicId is used instead of shortDesc as it is more flexible and provides more accessible descriptive text than the use of the title attribute.

      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getUnsecure

          public final Set<String> getUnsecure()

      Gets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Returns:
        the new unsecure value

    - #### setUnsecure

          public final void setUnsecure(Set<String> unsecure)

      Sets A whitespace separated list of attributes whose values ordinarily can be set only on the server, but need to be settable on the client. Currently, this is supported only for the "disabled" attribute. Note that when you are able to set a property on the client, you will be allowed to by using the the .setProperty('attribute', newValue) method, but not the .setXXXAttribute(newValue) method. For example, if you have unsecure="disabled", then on the client you can use the method .setProperty('disabled', false), while the method .setDisabled(false) will not work and will provide a javascript error that setDisabled is not a function.
      Parameters:
        `unsecure` - the new unsecure value

    - #### isVisible

          public final boolean isVisible()

      Gets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Returns:
        the new visible value

    - #### setVisible

          public final void setVisible(boolean visible)

      Sets the visibility of the component. If it is "false", the component will be hidden on the client. Unlike "rendered", this does not affect the lifecycle on the server - the component may have its bindings executed, etc. - and the visibility of the component can be toggled on and off on the client, or toggled with PPR. When "rendered" is false, the component will not in any way be rendered, and cannot be made visible on the client. In most cases, use the "rendered" property instead of the "visible" property.
      Parameters:
        `visible` - the new visible value

    - #### getCustomizationId

          @Deprecated
          public final String getCustomizationId()

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Gets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Returns:
        the new customizationId value

    - #### setCustomizationId

          @Deprecated
          public final void setCustomizationId(String customizationId)

      Deprecated. This attribute is deprecated. This attribute will be removed in the next release. Use the 'id' attribute instead.
      Sets This attribute is deprecated. The 'id' attribute should be used when applying persistent customizations. This attribute will be removed in the next release.
      Parameters:
        `customizationId` - the new customizationId value

    - #### isClientComponent

          public final boolean isClientComponent()

      Gets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Returns:
        the new clientComponent value

    - #### setClientComponent

          public final void setClientComponent(boolean clientComponent)

      Sets whether a client-side component will be generated. A component may be generated whether or not this flag is set, but if client Javascript requires the component object, this must be set to true to guarantee the component's presence. Client component objects that are generated today by default may not be present in the future; setting this flag is the only way to guarantee a component's presence, and clients cannot rely on implicit behavior. However, there is a performance cost to setting this flag, so clients should avoid turning on client components unless absolutely necessary. For the components outputText and outputFormatted, setting the clientComponent to true will render id attribute for the html DOM. This ID attribute can alternatively be generated by setting oracle.adf.view.rich.SUPPRESS_IDS to "auto" in web.xml.
      Parameters:
        `clientComponent` - the new clientComponent value

    - #### getClientAttributes

          public final Set getClientAttributes()

      Gets a set of client attribute names.
      Returns:
        the new clientAttributes value

    - #### setClientAttributes

          public final void setClientAttributes(Set clientAttributes)

      Sets a set of client attribute names.
      Parameters:
        `clientAttributes` - the new clientAttributes value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too. Identifiers are relative to the source component (this component), and must account for NamingContainers. If your component is already inside of a naming container, you can use a single colon to start the search from the root of the page, or multiple colons to move up through the NamingContainers - "::" will pop out of the component's naming container (or itself if the component is a naming container) and begin the search from there, ":::" will pop out of two naming containers (including itself if the component is a naming container) and begin the search from there, etc.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getClientListeners

          public final ClientListenerSet getClientListeners()

      Gets a set of client listeners.
      Returns:
        the new clientListeners value

    - #### setClientListeners

          public final void setClientListeners(ClientListenerSet clientListeners)

      Sets a set of client listeners.
      Parameters:
        `clientListeners` - the new clientListeners value

    - #### getColumnSelection

          public final String getColumnSelection()

      Gets whether columns in this table are selectable.
      Returns:
        the new columnSelection value

    - #### setColumnSelection

          public final void setColumnSelection(String columnSelection)

      Sets whether columns in this table are selectable.
      Parameters:
        `columnSelection` - the new columnSelection value

    - #### isHorizontalGridVisible

          public final boolean isHorizontalGridVisible()

      Gets whether the Horizontal GridLines are to be drawn.
      Returns:
        the new horizontalGridVisible value

    - #### setHorizontalGridVisible

          public final void setHorizontalGridVisible(boolean horizontalGridVisible)

      Sets whether the Horizontal GridLines are to be drawn.
      Parameters:
        `horizontalGridVisible` - the new horizontalGridVisible value

    - #### isVerticalGridVisible

          public final boolean isVerticalGridVisible()

      Gets whether the vertical GridLines are to be drawn.
      Returns:
        the new verticalGridVisible value

    - #### setVerticalGridVisible

          public final void setVerticalGridVisible(boolean verticalGridVisible)

      Sets whether the vertical GridLines are to be drawn.
      Parameters:
        `verticalGridVisible` - the new verticalGridVisible value

    - #### getEmptyText

          public final String getEmptyText()

      Gets the text of an empty table. If the text is enclosed in an open and closing html tag, it will be formatted. The formatting behavior is similar to outputFormatted component. If it is not enclosed in an open and closing html tag, it will not be formatted.
      Returns:
        the new emptyText value

    - #### setEmptyText

          public final void setEmptyText(String emptyText)

      Sets the text of an empty table. If the text is enclosed in an open and closing html tag, it will be formatted. The formatting behavior is similar to outputFormatted component. If it is not enclosed in an open and closing html tag, it will not be formatted.
      Parameters:
        `emptyText` - the new emptyText value

    - #### getColumnBandingInterval

          public final int getColumnBandingInterval()

      Gets the interval between which the column banding occurs. This value controls the display of the column banding in the table. For e.g, columnBandingInterval=1 would display alternately banded columns in the Grid.
      Returns:
        the new columnBandingInterval value

    - #### setColumnBandingInterval

          public final void setColumnBandingInterval(int columnBandingInterval)

      Sets the interval between which the column banding occurs. This value controls the display of the column banding in the table. For e.g, columnBandingInterval=1 would display alternately banded columns in the Grid.
      Parameters:
        `columnBandingInterval` - the new columnBandingInterval value

    - #### getRowBandingInterval

          public final int getRowBandingInterval()

      Gets the interval between which the row banding occurs. This value controls the display of the row banding in the table. For e.g, rowBandingInterval=1 would display alternately banded rows in the Grid.
      Returns:
        the new rowBandingInterval value

    - #### setRowBandingInterval

          public final void setRowBandingInterval(int rowBandingInterval)

      Sets the interval between which the row banding occurs. This value controls the display of the row banding in the table. For e.g, rowBandingInterval=1 would display alternately banded rows in the Grid.
      Parameters:
        `rowBandingInterval` - the new rowBandingInterval value

    - #### getSummary

          public final String getSummary()

      Gets the summary of this table's purpose and structure for user agents rendering to non-visual media.
      Returns:
        the new summary value

    - #### setSummary

          public final void setSummary(String summary)

      Sets the summary of this table's purpose and structure for user agents rendering to non-visual media.
      Parameters:
        `summary` - the new summary value

    - #### isClearTokenCacheOnPPR

          public final boolean isClearTokenCacheOnPPR()

      Gets private property to turn on/off the clearing of the row key token cache when the component is PPRed. Default is true
      Returns:
        the new clearTokenCacheOnPPR value

    - #### setClearTokenCacheOnPPR

          public final void setClearTokenCacheOnPPR(boolean clearTokenCacheOnPPR)

      Sets private property to turn on/off the clearing of the row key token cache when the component is PPRed. Default is true
      Parameters:
        `clearTokenCacheOnPPR` - the new clearTokenCacheOnPPR value

    - #### getSelectionEventDelay

          public final String getSelectionEventDelay()

      Gets whether or not it is enabled to delay row selection event for 300ms when a user navigates rows with arrow up/down key. When it is enabled, it can improve the performance by avoiding sending many events to server while a user keeps arrow up/down key down to navigate. It can have a value of enabled/disabled. The default value is disabled.
      Returns:
        the new selectionEventDelay value

    - #### setSelectionEventDelay

          public final void setSelectionEventDelay(String selectionEventDelay)

      Sets whether or not it is enabled to delay row selection event for 300ms when a user navigates rows with arrow up/down key. When it is enabled, it can improve the performance by avoiding sending many events to server while a user keeps arrow up/down key down to navigate. It can have a value of enabled/disabled. The default value is disabled.
      Parameters:
        `selectionEventDelay` - the new selectionEventDelay value

    - #### getFreezeDirection

          public final String getFreezeDirection()

      Gets How column freezing is handled, whether the freezing zone is from the specified column to the start or the end of the table row. Default value is start
      Returns:
        the new freezeDirection value

    - #### setFreezeDirection

          public final void setFreezeDirection(String freezeDirection)

      Sets How column freezing is handled, whether the freezing zone is from the specified column to the start or the end of the table row. Default value is start
      Parameters:
        `freezeDirection` - the new freezeDirection value

    - #### getBodyContextMenuId

          @Deprecated
          public final String getBodyContextMenuId()

      Deprecated. This attribute is deprecated, "bodyContextMenu" facet should be used instead.
      Gets A search expression to identify the popup component containing the context menu that will be shown within the table body, for clicks outside of any table row. Expressions are relative to this table component and must account for NamingContainers (for example, table and panelCollection are NamingContainer components). You can prepend a single colon to start the search from the root, or multiple colons to move up through the NamingContainers. For example, a leading "::" will pop out of one NamingContainer (including the component itself if it is a naming container, like table) and begin search from there, ":::" will pop out of two NamingContainers and begin search from there, etc.
      Returns:
        the new bodyContextMenuId value

    - #### setBodyContextMenuId

          @Deprecated
          public final void setBodyContextMenuId(String bodyContextMenuId)

      Deprecated. This attribute is deprecated, "bodyContextMenu" facet should be used instead.
      Sets A search expression to identify the popup component containing the context menu that will be shown within the table body, for clicks outside of any table row. Expressions are relative to this table component and must account for NamingContainers (for example, table and panelCollection are NamingContainer components). You can prepend a single colon to start the search from the root, or multiple colons to move up through the NamingContainers. For example, a leading "::" will pop out of one NamingContainer (including the component itself if it is a naming container, like table) and begin search from there, ":::" will pop out of two NamingContainers and begin search from there, etc.
      Parameters:
        `bodyContextMenuId` - the new bodyContextMenuId value

    - #### getColumnStretching

          public final String getColumnStretching()

      Gets Indicates what kind of stretching you want applied to the columns. For optimal performance, use the "none" (default) option. If you want the last column to stretch to fill up any unused space inside of the viewport, use the "last" option. If you want to have an empty blank column be automatically inserted and have it stretch (so the row background colors will span the entire width of the table), use the "blank" option. If you want to have a specific leaf (non-group) column stretch to fill up any unused space inside of the viewport, use the option where you specify "column:" followed by the ID of the column that you want to have stretched, e.g. "column:myColId". If you want more than one column stretched, use the "multiple" option. When the "multiple" option is used you can set the widths in the columns (non-group) to be percentages. See the column documentation for how percentages are handled. Note that row headers and frozen columns will not be stretched because doing so could easily leave the user unable to access the scrollable data body of the table.
      Returns:
        the new columnStretching value

    - #### setColumnStretching

          public final void setColumnStretching(String columnStretching)

      Sets Indicates what kind of stretching you want applied to the columns. For optimal performance, use the "none" (default) option. If you want the last column to stretch to fill up any unused space inside of the viewport, use the "last" option. If you want to have an empty blank column be automatically inserted and have it stretch (so the row background colors will span the entire width of the table), use the "blank" option. If you want to have a specific leaf (non-group) column stretch to fill up any unused space inside of the viewport, use the option where you specify "column:" followed by the ID of the column that you want to have stretched, e.g. "column:myColId". If you want more than one column stretched, use the "multiple" option. When the "multiple" option is used you can set the widths in the columns (non-group) to be percentages. See the column documentation for how percentages are handled. Note that row headers and frozen columns will not be stretched because doing so could easily leave the user unable to access the scrollable data body of the table.
      Parameters:
        `columnStretching` - the new columnStretching value

    - #### getColumnResizing

          public final String getColumnResizing()

      Gets Setting this value to "disabled" will turn off user column resizing. The default is "enabled".
      Returns:
        the new columnResizing value

    - #### setColumnResizing

          public final void setColumnResizing(String columnResizing)

      Sets Setting this value to "disabled" will turn off user column resizing. The default is "enabled".
      Parameters:
        `columnResizing` - the new columnResizing value

    - #### getContextMenuId

          @Deprecated
          public final String getContextMenuId()

      Deprecated. This attribute is deprecated, "contextMenu" facet should be used instead.
      Gets A search expression to identify the popup component containing the context menu that will be shown on right click of any table row. Expressions are relative to this table component and must account for NamingContainers (for example, table and panelCollection are NamingContainer components). You can prepend a single colon to start the search from the root, or multiple colons to move up through the NamingContainers. For example, a leading "::" will pop out of one NamingContainer (including the component itself if it is a naming container, like table) and begin search from there, ":::" will pop out of two NamingContainers and begin search from there, etc.
      Returns:
        the new contextMenuId value

    - #### setContextMenuId

          @Deprecated
          public final void setContextMenuId(String contextMenuId)

      Deprecated. This attribute is deprecated, "contextMenu" facet should be used instead.
      Sets A search expression to identify the popup component containing the context menu that will be shown on right click of any table row. Expressions are relative to this table component and must account for NamingContainers (for example, table and panelCollection are NamingContainer components). You can prepend a single colon to start the search from the root, or multiple colons to move up through the NamingContainers. For example, a leading "::" will pop out of one NamingContainer (including the component itself if it is a naming container, like table) and begin search from there, ":::" will pop out of two NamingContainers and begin search from there, etc.
      Parameters:
        `contextMenuId` - the new contextMenuId value

    - #### getDisplayRow

          public final String getDisplayRow()

      Gets the row to display in the table during initial display. The possible values are "first" to display the first row, "last" to display the last row and "selected" to display the first selected row in the table. The default value for this is null which means that the first row is displayed. Please note that this API will have no effect if the total number of rows are not known from the table model (model.getRowCount()==-1).
      Returns:
        the new displayRow value

    - #### setDisplayRow

          public final void setDisplayRow(String displayRow)

      Sets the row to display in the table during initial display. The possible values are "first" to display the first row, "last" to display the last row and "selected" to display the first selected row in the table. The default value for this is null which means that the first row is displayed. Please note that this API will have no effect if the total number of rows are not known from the table model (model.getRowCount()==-1).
      Parameters:
        `displayRow` - the new displayRow value

    - #### getDisplayRowKey

          public final Object getDisplayRowKey()

      Gets the rowkey to display in the table during initial display. Specifying this attribute will override the displayRow attribute. Please note that this API will have no effect if the total number of rows are not known from the table model (model.getRowCount()==-1).
      Returns:
        the new displayRowKey value

    - #### setDisplayRowKey

          public final void setDisplayRowKey(Object displayRowKey)

      Sets the rowkey to display in the table during initial display. Specifying this attribute will override the displayRow attribute. Please note that this API will have no effect if the total number of rows are not known from the table model (model.getRowCount()==-1).
      Parameters:
        `displayRowKey` - the new displayRowKey value

    - #### isDisableColumnReordering

          public final boolean isDisableColumnReordering()

      Gets whether column reordering is disabled in the table. Column reordering is on by default.
      Returns:
        the new disableColumnReordering value

    - #### setDisableColumnReordering

          public final void setDisableColumnReordering(boolean disableColumnReordering)

      Sets whether column reordering is disabled in the table. Column reordering is on by default.
      Parameters:
        `disableColumnReordering` - the new disableColumnReordering value

    - #### getWidth

          public final String getWidth()

      Gets the width of this component. Default value is 300 PX. Do not use 100% since it does not account for borders and padding. Use styleClass = "AFStretchWidth" in order to achieve 100%.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets the width of this component. Default value is 300 PX. Do not use 100% since it does not account for borders and padding. Use styleClass = "AFStretchWidth" in order to achieve 100%.
      Parameters:
        `width` - the new width value

    - #### getScrollTop

          public final int getScrollTop()

      Gets private property to indicate current vertical scroll position.
      Returns:
        the new scrollTop value

    - #### setScrollTop

          public final void setScrollTop(int scrollTop)

      Sets private property to indicate current vertical scroll position.
      Parameters:
        `scrollTop` - the new scrollTop value

    - #### getScrollLeft

          public final int getScrollLeft()

      Gets private property to indicate current horizontal scroll position.
      Returns:
        the new scrollLeft value

    - #### setScrollLeft

          public final void setScrollLeft(int scrollLeft)

      Sets private property to indicate current horizontal scroll position.
      Parameters:
        `scrollLeft` - the new scrollLeft value

    - #### getScrollTopRowKey

          public final Object getScrollTopRowKey()

      Gets private property to indicate row key for the first visible row.
      Returns:
        the new scrollTopRowKey value

    - #### setScrollTopRowKey

          public final void setScrollTopRowKey(Object scrollTopRowKey)

      Sets private property to indicate row key for the first visible row.
      Parameters:
        `scrollTopRowKey` - the new scrollTopRowKey value

    - #### getContentDelivery

          public final String getContentDelivery()

      Gets whether data should be fetched when the component is rendered initially. When contentDelivery is "immediate", data is fetched and inlined into the component chrome. If contentDelivery is "lazy", data will be fetched and delivered to the client during a subsequent request. If contentDelivery is set to "whenAvailable", upon initial rendering, the renderer queries the model for available data. Data is fetched and rendered immediately if model indicates that data is available. So contentDelivery="whenAvailable" behaves like "immediate" if data is available upon initial rendering.
      Returns:
        the new contentDelivery value

    - #### setContentDelivery

          public final void setContentDelivery(String contentDelivery)

      Sets whether data should be fetched when the component is rendered initially. When contentDelivery is "immediate", data is fetched and inlined into the component chrome. If contentDelivery is "lazy", data will be fetched and delivered to the client during a subsequent request. If contentDelivery is set to "whenAvailable", upon initial rendering, the renderer queries the model for available data. Data is fetched and rendered immediately if model indicates that data is available. So contentDelivery="whenAvailable" behaves like "immediate" if data is available upon initial rendering.
      Parameters:
        `contentDelivery` - the new contentDelivery value

    - #### getFetchSize

          public final int getFetchSize()

      Gets the number of rows in the data fetch block
      Returns:
        the new fetchSize value

    - #### setFetchSize

          public final void setFetchSize(int fetchSize)

      Sets the number of rows in the data fetch block
      Parameters:
        `fetchSize` - the new fetchSize value

    - #### getActiveRowKey

          public final Object getActiveRowKey()

      Gets this is the row that is currently active on the client. In click-to-edit mode, the active row will be made editable and is brought into view (if not already visible). Upon initial display, the click-to-edit component defaults the active row to the first visible row.
      Returns:
        the new activeRowKey value

    - #### setActiveRowKey

          public final void setActiveRowKey(Object activeRowKey)

      Sets this is the row that is currently active on the client. In click-to-edit mode, the active row will be made editable and is brought into view (if not already visible). Upon initial display, the click-to-edit component defaults the active row to the first visible row.
      Parameters:
        `activeRowKey` - the new activeRowKey value

    - #### getRowSelection

          public final String getRowSelection()

      Gets whether rows in this table are selectable. If row selection is allowed, you need to make sure at least one column is set as a row header with rowHeader=true. Use the value "single" to enable single selection, "multiple" to enable multiple selection and "multipleNoSelectAll" to enable multiple selection but disable the user from doing select all.
      Returns:
        the new rowSelection value

    - #### setRowSelection

          public final void setRowSelection(String rowSelection)

      Sets whether rows in this table are selectable. If row selection is allowed, you need to make sure at least one column is set as a row header with rowHeader=true. Use the value "single" to enable single selection, "multiple" to enable multiple selection and "multipleNoSelectAll" to enable multiple selection but disable the user from doing select all.
      Parameters:
        `rowSelection` - the new rowSelection value

    - #### isContextMenuSelect

          public final boolean isContextMenuSelect()

      Gets Indicates if we should actually select the row clicked when right clicking to show a context menu. By default the row is selected before the context menu is displayed. However if contextMenuSelect="false", and if user right clicks a row, the new row is highlighted and the highlighting for the currently selected row(s) is cleared when the context menus is displayed. The highlighting of the currently selected row(s) is restored after the context menu is dismissed. It should be noted that when the context menu is displayed, the attribute selectedRowKeys still contains the selected row(s). The highlighted row key is established as a currency in the table when the action for context menu item is executed. The currency in the table can be retrieved by calling "table.getRowKey()".
      Returns:
        the new contextMenuSelect value

    - #### setContextMenuSelect

          public final void setContextMenuSelect(boolean contextMenuSelect)

      Sets Indicates if we should actually select the row clicked when right clicking to show a context menu. By default the row is selected before the context menu is displayed. However if contextMenuSelect="false", and if user right clicks a row, the new row is highlighted and the highlighting for the currently selected row(s) is cleared when the context menus is displayed. The highlighting of the currently selected row(s) is restored after the context menu is dismissed. It should be noted that when the context menu is displayed, the attribute selectedRowKeys still contains the selected row(s). The highlighted row key is established as a currency in the table when the action for context menu item is executed. The currency in the table can be retrieved by calling "table.getRowKey()".
      Parameters:
        `contextMenuSelect` - the new contextMenuSelect value

    - #### getEditingMode

          public final String getEditingMode()

      Gets Indicates the mode used to edit the table when it contains editable components. When a table is rendered as readOnly, the editingMode attribute is ignored. The possible values are "clickToEdit" and "editAll". In "editAll" mode all the editable components are displayed at a time in the table view area. In "clickToEdit" mode a single row is editable at a time. The following is the behavior:
      1. Stay in edit mode: If in edit mode, stay in edit mode when a read/only cell is reached via keyboard navigation.
      2. Enter key navigation: When in edit mode, ensure that pressing Enter or Shift+Enter navigates to the adjacent cell when possible.
      3. Esc key reverts cell edits: When in edit mode, pressing the Esc key reverts all edits made to cells in a row and disables edit mode.
      4. (NEW) Navigation pattern recognition: Using the Tab and Enter keys to navigate in edit mode establishes a row-wise navigation pattern that is repeated in adjacent rows.
      5. Input Field Text Selection: When a cell contains an input text field widget, the text is selected automatically when the widget has focus.
      In "clickToEdit" mode, quick row navigation is supported with arrow up/down key by changing to read-only mode with Esc key. Hitting F2 or Enter key changes the row back to edit mode with focus on the column that was previously focused. Here is how it works by clicking the following keys:
      1. Esc Key
         When the edit navigation focus is within an input component and hitting Esc, reverts the cell back to its original value. Navigation focus is at the cell level to enable navigation between cells. Then the user hits Esc key again, the row goes into read only mode.
         When it is in edit mode and the cell has focus, hitting Esc changes the row directly into read only mode.
         Once focused row is in read-only mode, user can use the arrow up/down key to quickly navigate between rows.
      2. F2 Key
         When in read only mode and the user hits F2 key, it takes the user into edit mode. Hitting F2 again (now that you are in edit mode) will turn off cell navigation mode so that user can navigate within cell or input component.
      3. Enter Key
         When in read only mode and the user hits enter key, it changes to edit mode and the focus is on the previously focused column.
      Returns:
        the new editingMode value

    - #### setEditingMode

          public final void setEditingMode(String editingMode)

      Sets Indicates the mode used to edit the table when it contains editable components. When a table is rendered as readOnly, the editingMode attribute is ignored. The possible values are "clickToEdit" and "editAll". In "editAll" mode all the editable components are displayed at a time in the table view area. In "clickToEdit" mode a single row is editable at a time. The following is the behavior:
      1. Stay in edit mode: If in edit mode, stay in edit mode when a read/only cell is reached via keyboard navigation.
      2. Enter key navigation: When in edit mode, ensure that pressing Enter or Shift+Enter navigates to the adjacent cell when possible.
      3. Esc key reverts cell edits: When in edit mode, pressing the Esc key reverts all edits made to cells in a row and disables edit mode.
      4. (NEW) Navigation pattern recognition: Using the Tab and Enter keys to navigate in edit mode establishes a row-wise navigation pattern that is repeated in adjacent rows.
      5. Input Field Text Selection: When a cell contains an input text field widget, the text is selected automatically when the widget has focus.
      In "clickToEdit" mode, quick row navigation is supported with arrow up/down key by changing to read-only mode with Esc key. Hitting F2 or Enter key changes the row back to edit mode with focus on the column that was previously focused. Here is how it works by clicking the following keys:
      1. Esc Key
         When the edit navigation focus is within an input component and hitting Esc, reverts the cell back to its original value. Navigation focus is at the cell level to enable navigation between cells. Then the user hits Esc key again, the row goes into read only mode.
         When it is in edit mode and the cell has focus, hitting Esc changes the row directly into read only mode.
         Once focused row is in read-only mode, user can use the arrow up/down key to quickly navigate between rows.
      2. F2 Key
         When in read only mode and the user hits F2 key, it takes the user into edit mode. Hitting F2 again (now that you are in edit mode) will turn off cell navigation mode so that user can navigate within cell or input component.
      3. Enter Key
         When in read only mode and the user hits enter key, it changes to edit mode and the focus is on the previously focused column.
      Parameters:
        `editingMode` - the new editingMode value

    - #### getAutoHeightRows

          public final int getAutoHeightRows()

      Gets

      The number of rows used to size the component height.

      If the oracle.adf.view.rich.geometry.DEFAULT_DIMENSIONS context-param is set to "auto" in the project's web.xml, the default value for this attribute will be 0. Otherwise, the default value will be -1 (no auto-sizing for any number of rows).

      - The height of the component can grow to a maximum of 'autoHeightRows' after which a scrollbar is displayed.
      - This attribute is also supported when the component is inside PanelCollection.
      - A value of 0 can be used to default the autoHeightRows to the current fetchSize.
      - 'autoHeightRows' value cannot be larger than "fetchSize" attribute.
      - If a value larger than fetchSize is specified, the value is capped at the fetchSize.
      - If a value larger than the number of rows is specified, the number of rows in the component is used to size the component height.
      - 'autoHeightRows' works with contentDelivery=immediate/lazy/whenAvailable.
      - Note that specifying a CSS "height" in the "inlineStyle" attribute will have no effect and will get overridden by the auto-sized height.
      - Specifying CSS "min-height" and "max-height" values in the "inlineStyle" attribute is not recommended and is incompatible with the autoHeightRows attribute.
      - When the component is placed in a layout-managing container, such as panelSplitter, it will be sized by the container (no auto-sizing will occur).
      Returns:
        the new autoHeightRows value

    - #### setAutoHeightRows

          public final void setAutoHeightRows(int autoHeightRows)

      Sets

      The number of rows used to size the component height.

      If the oracle.adf.view.rich.geometry.DEFAULT_DIMENSIONS context-param is set to "auto" in the project's web.xml, the default value for this attribute will be 0. Otherwise, the default value will be -1 (no auto-sizing for any number of rows).

      - The height of the component can grow to a maximum of 'autoHeightRows' after which a scrollbar is displayed.
      - This attribute is also supported when the component is inside PanelCollection.
      - A value of 0 can be used to default the autoHeightRows to the current fetchSize.
      - 'autoHeightRows' value cannot be larger than "fetchSize" attribute.
      - If a value larger than fetchSize is specified, the value is capped at the fetchSize.
      - If a value larger than the number of rows is specified, the number of rows in the component is used to size the component height.
      - 'autoHeightRows' works with contentDelivery=immediate/lazy/whenAvailable.
      - Note that specifying a CSS "height" in the "inlineStyle" attribute will have no effect and will get overridden by the auto-sized height.
      - Specifying CSS "min-height" and "max-height" values in the "inlineStyle" attribute is not recommended and is incompatible with the autoHeightRows attribute.
      - When the component is placed in a layout-managing container, such as panelSplitter, it will be sized by the container (no auto-sizing will occur).
      Parameters:
        `autoHeightRows` - the new autoHeightRows value

    - #### getScrollPolicy

          public final String getScrollPolicy()

      Gets specifies the mechanism used by to scroll the data inside the table. possible values are: auto(depends on your device), page, scroll, and scrollPrefetch
      Returns:
        the new scrollPolicy value

    - #### setScrollPolicy

          public final void setScrollPolicy(String scrollPolicy)

      Sets specifies the mechanism used by to scroll the data inside the table. possible values are: auto(depends on your device), page, scroll, and scrollPrefetch
      Parameters:
        `scrollPolicy` - the new scrollPolicy value

    - #### getBlockRowNavigationOnError

          public final String getBlockRowNavigationOnError()

      Gets

      Whether we want to block row navigation in case of validation failure.

      This is when you select a row and do some editing inside the table or in a related form, and this editing causes some validation failures. At this time, if you click on a different row in table, we want to block you from moving to the new row.

      possible values are: always, never and auto. default value is auto.

      - always means we block the row navigation
      - never means we don't block and let the row navigation happen
      - auto means the framework will make the decision
      Returns:
        the new blockRowNavigationOnError value

    - #### setBlockRowNavigationOnError

          public final void setBlockRowNavigationOnError(String blockRowNavigationOnError)

      Sets

      Whether we want to block row navigation in case of validation failure.

      This is when you select a row and do some editing inside the table or in a related form, and this editing causes some validation failures. At this time, if you click on a different row in table, we want to block you from moving to the new row.

      possible values are: always, never and auto. default value is auto.

      - always means we block the row navigation
      - never means we don't block and let the row navigation happen
      - auto means the framework will make the decision
      Parameters:
        `blockRowNavigationOnError` - the new blockRowNavigationOnError value

    - #### getMaxClientRows

          public final int getMaxClientRows()

      Gets specifies the maximum number of rows to retain on the client when scrollPolicy="loadMore"
      Returns:
        the new maxClientRows value

    - #### setMaxClientRows

          public final void setMaxClientRows(int maxClientRows)

      Sets specifies the maximum number of rows to retain on the client when scrollPolicy="loadMore"
      Parameters:
        `maxClientRows` - the new maxClientRows value

    - #### isExpandAllEnabled

          public final boolean isExpandAllEnabled()

      Gets Indicates whether the "Expand/Collapse All", and "Expand/Collapse All Below" menu items are rendered. These menu items are rendered by default.
      Returns:
        the new expandAllEnabled value

    - #### setExpandAllEnabled

          public final void setExpandAllEnabled(boolean expandAllEnabled)

      Sets Indicates whether the "Expand/Collapse All", and "Expand/Collapse All Below" menu items are rendered. These menu items are rendered by default.
      Parameters:
        `expandAllEnabled` - the new expandAllEnabled value

    - #### getNonScrollableRows

          public final int getNonScrollableRows()

      Gets The nonScrollableRows property determines the number of rows to show in email mode, print mode, or other circumstances where table scrolling is unavailable. This property will not have an affect outside of these circumstances.
      Returns:
        the new nonScrollableRows value

    - #### setNonScrollableRows

          public final void setNonScrollableRows(int nonScrollableRows)

      Sets The nonScrollableRows property determines the number of rows to show in email mode, print mode, or other circumstances where table scrolling is unavailable. This property will not have an affect outside of these circumstances.
      Parameters:
        `nonScrollableRows` - the new nonScrollableRows value

    - #### getColumnSelectionListener

          public final javax.el.MethodExpression getColumnSelectionListener()

      Gets a method reference to a ColumnSelectionListener
      Returns:
        the new columnSelectionListener value

    - #### setColumnSelectionListener

          public final void setColumnSelectionListener(javax.el.MethodExpression columnSelectionListener)

      Sets a method reference to a ColumnSelectionListener
      Parameters:
        `columnSelectionListener` - the new columnSelectionListener value

    - #### getSkipProcessOn

          public final String[] getSkipProcessOn()

      Returns:
        the new skipProcessOn value

    - #### setSkipProcessOn

          public final void setSkipProcessOn(String[] skipProcessOn)

      Parameters:
        `skipProcessOn` - the new skipProcessOn value

    - #### addColumnSelectionListener

          public final void addColumnSelectionListener(ColumnSelectionListener listener)

      Adds a columnSelection listener.
      Parameters:
        `listener` - the columnSelection listener to add

    - #### removeColumnSelectionListener

          public final void removeColumnSelectionListener(ColumnSelectionListener listener)

      Removes a columnSelection listener.
      Parameters:
        `listener` - the columnSelection listener to remove

    - #### getColumnSelectionListeners

          public final ColumnSelectionListener[] getColumnSelectionListeners()

      Returns an array of attached columnSelection listeners.
      Returns:
        an array of attached columnSelection listeners.

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `org.apache.myfaces.trinidad.component.UIXComponentBase`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `org.apache.myfaces.trinidad.component.UIXTreeTable`

    - #### getBeanType

          protected org.apache.myfaces.trinidad.bean.FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `org.apache.myfaces.trinidad.component.UIXTreeTable`

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.